package com.sf.service.gateway.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;


/**
 * 修改接口信息对象 Gateway_interface_info
 * 
 * @author zoukun
 * @date 2024-04-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "UpdateGatewayInterfaceInfoDTO", description = "修改接口信息对象")
public class UpdateGatewayInterfaceInfoDTO {
    private static final long serialVersionUID = 1L;

    @NotNull(message = "ID不能为空")
    @ApiModelProperty("ID")
    private Long id;

    @NotBlank(message = "接口名称不能为空")
    @ApiModelProperty("接口名称")
    private String interfaceName;

    @NotBlank(message = "接口路径不能为空")
    @ApiModelProperty("接口路径")
    private String interfacePath;

    @NotBlank(message = "请求方式不能为空")
    @ApiModelProperty("请求方式")
    private String requestMethod;

    @ApiModelProperty("接口描述")
    private String description;

    @ApiModelProperty("接口版本")
    private String version;

    @ApiModelProperty("接口状态(0=停用,1=启用)")
    private String status;

    @ApiModelProperty("接口文档（文档地址）")
    private String document;

    @ApiModelProperty("网关服务id")
    private Long serverId;

    @ApiModelProperty("策略ID集合")
    private List<Long> strategyIds;
}
