package com.sf.service.gateway.service.impl;

import com.sf.common.utils.DateUtils;
import com.sf.common.utils.SecurityUtils;
import com.sf.service.gateway.domain.GatewayConfig;
import com.sf.service.gateway.mapper.GatewayConfigMapper;
import com.sf.service.gateway.service.IGatewayConfigService;
import com.sf.service.index.util.AppUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import java.util.Date;

/**
 * 功能描述:
 *
 * @author a_kun
 * @date 2024/4/25 17:24
 */
@Service
public class GatewayConfigServiceImpl implements IGatewayConfigService {

    @Autowired
    private GatewayConfigMapper gatewayConfigMapper;

    @Override
    public GatewayConfig selectGatewayConfigByAppCode(String appCode) {
        if (StringUtils.hasText(appCode)){
            return gatewayConfigMapper.selectByAppCode(appCode);
        }
        return null;
    }

    @Override
    public void updateGatewayConfig(GatewayConfig gatewayConfig) {
        String appCode = AppUtils.getAppCodeFromRequestHeader();
        String username = SecurityUtils.getUsername();
        Date nowDate = DateUtils.getNowDate();
        GatewayConfig inDbConfig = gatewayConfigMapper.selectByAppCode(appCode);
        if (inDbConfig == null) {
            gatewayConfig.setAppCode(appCode);
            gatewayConfig.setCreated(username);
            gatewayConfig.setModified(username);
            gatewayConfig.setCreateTime(nowDate);
            gatewayConfig.setUpdateTime(nowDate);
            gatewayConfigMapper.insert(gatewayConfig);
        }else {
            gatewayConfig.setModified(username);
            gatewayConfig.setCreateTime(nowDate);
            gatewayConfig.setUpdateTime(nowDate);
            gatewayConfigMapper.updateByAppCodeSelective(gatewayConfig);
        }
    }
}
